from flask import render_template

from app import app
from app.forms import DatasetForm


@app.route("/")
@app.route("/index")
def index():
    return render_template("index.html", title="Home Page")


@app.route("/data")
def data():
    form = DatasetForm()
    if form.validate_on_submit():
        return render_template("visualization.html", form=form, title="Visualization")
    return render_template("data.html", title="Data", form=form)


@app.route("/visualization")
def visualization():
    return render_template("visualization.html", title="Visualization", form=form)
